OpenVDB 12.1.0

Loading...
Searching...
No Matches
GroupHandle Class Reference

`#include <openvdb/points/AttributeGroup.h>`

Inheritance diagram for GroupHandle:

## Classes
struct | BitMask

## Public Types
using | Ptr = std::shared_ptr<GroupHandle>
using | UniquePtr = std::unique_ptr<GroupHandle>
using | GroupIndex = std::pair<Index, uint8_t>

## Public Member Functions
| GroupHandle (const GroupAttributeArray &array, const GroupType &offset)
| GroupHandle (const GroupAttributeArray &array, const GroupType &bitMask, BitMask)
Index | size () const
bool | isUniform () const
bool | get (Index n) const
bool | getUnsafe (Index n) const

## Protected Attributes
const GroupAttributeArray & | mArray
const GroupType | mBitMask

## Member Typedef Documentation

## ◆ GroupIndex

using GroupIndex = std::pair<Index, uint8_t>

## ◆ Ptr

using Ptr = std::shared_ptr<GroupHandle>

## ◆ UniquePtr

using UniquePtr = std::unique_ptr<GroupHandle>

## Constructor & Destructor Documentation

## ◆ GroupHandle() [1/2]

GroupHandle | ( | const GroupAttributeArray & | array,
|  | const GroupType & | offset )

## ◆ GroupHandle() [2/2]

GroupHandle | ( | const GroupAttributeArray & | array,
|  | const GroupType & | bitMask,
|  | BitMask | )

## Member Function Documentation

## ◆ get()

bool get | ( | Index | n | ) | const

## ◆ getUnsafe()

bool getUnsafe | ( | Index | n | ) | const

## ◆ isUniform()

bool isUniform | ( |  | ) | const
| inline

## ◆ size()

Index size | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mArray

const GroupAttributeArray& mArray
| protected

## ◆ mBitMask

const GroupType mBitMask
| protected